> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/svn/dokumentacija-api/pregled-zahtevkov-api-ja-geopard/38.-poizvedba-pridobi-userdata.md).

# 38. Poizvedba: pridobi "UserData"

Pridobi "UserData" pooblaščenega uporabnika.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query getUserData {
  getUserData {
    uuid
    e-pošta
    skupnaPovršina
    največjaPovršina
    enotaPovršine
    jezik
    apiKljuč
    številoRazredovTopografijeTla
    organizacije {
      uuid
      ime
      priimek
      ime
      e-pošta
      telefon
      datumUstvarjanja
      updatedDate
      uporabniki {
        uuidOrganizacije
        userUuid
        e-pošta
        vseKmetije
        datumUstvarjanja
        updatedDate
        kmetije {
          uuid
          userUuid
          ime
          datumUstvarjanja
          updatedDate
          farmOwnership
          e-pošta
        }
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/svn/dokumentacija-api/pregled-zahtevkov-api-ja-geopard/38.-poizvedba-pridobi-userdata.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
